Core-3

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
GET
POST
DELETE
POST
GET
POST
GET
DELETE
GET
GET
GET
GET
PATCH
POST
GET
GET
GET
GET
GET

Create groups update property

Required API key scopes

group:write

Path parameters

  • project_id
    string

Query parameters

  • group_key
    string
  • group_type_index
    integer

Request parameters

  • group_type_index
    integer
  • group_key
    string
  • group_properties

Example request

POST /api/environments/:project_id/groups/update_property
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/groups/update_property/\
-d group_type_index="integer",\
-d group_key="string"

Example response

Status 200 No response body

List all insights sharing

Required API key scopes

sharing_configuration:read

Path parameters

  • insight_id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/insights/:insight_id/sharing
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/insights/:insight_id/sharing/

Example response

Status 200
RESPONSE
{
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"access_token": "string",
"settings": null,
"password_required": true,
"share_passwords": "string"
}

Create insights sharing passwords

Create a new password for the sharing configuration.

Required API key scopes

sharing_configuration:write

Path parameters

  • insight_id
    integer
  • project_id
    string

Request parameters

  • enabled
    boolean
  • settings
  • password_required
    boolean

Response


Example request

POST /api/environments/:project_id/insights/:insight_id/sharing/passwords
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/insights/:insight_id/sharing/passwords/\
-d created_at="string"

Example response

Status 200
RESPONSE
{
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"access_token": "string",
"settings": null,
"password_required": true,
"share_passwords": "string"
}

Delete insights sharing passwords

Delete a password from the sharing configuration.

Required API key scopes

sharing_configuration:write

Path parameters

  • insight_id
    integer
  • password_id
    string
  • project_id
    string

Example request

DELETE /api/environments/:project_id/insights/:insight_id/sharing/passwords/:password_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/insights/:insight_id/sharing/passwords/:password_id/

Example response

Status 204 No response body

Create insights sharing refresh

Required API key scopes

sharing_configuration:write

Path parameters

  • insight_id
    integer
  • project_id
    string

Request parameters

  • enabled
    boolean
  • settings
  • password_required
    boolean

Response


Example request

POST /api/environments/:project_id/insights/:insight_id/sharing/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/insights/:insight_id/sharing/refresh/\
-d created_at="string"

Example response

Status 200
RESPONSE
{
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"access_token": "string",
"settings": null,
"password_required": true,
"share_passwords": "string"
}

List all integrations

Required API key scopes

integration:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:project_id/integrations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 0,
"kind": "slack",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"errors": "string",
"display_name": "string"
}
]
}

Create integrations

Required API key scopes

integration:write

Path parameters

  • project_id
    string

Request parameters

  • kind
  • config

Response


Example request

POST /api/environments/:project_id/integrations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/\
-d kind=undefined

Example response

Status 201
RESPONSE
{
"id": 0,
"kind": "slack",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"errors": "string",
"display_name": "string"
}

Retrieve integrations

Required API key scopes

integration:read

Path parameters

  • id
    integer
  • project_id
    string

Response


Example request

GET /api/environments/:project_id/integrations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/

Example response

Status 200
RESPONSE
{
"id": 0,
"kind": "slack",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"errors": "string",
"display_name": "string"
}

Delete integrations

Required API key scopes

integration:write

Path parameters

  • id
    integer
  • project_id
    string

Example request

DELETE /api/environments/:project_id/integrations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/

Example response

Status 204 No response body

Retrieve integrations channels

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/channels
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/channels/

Example response

Status 200 No response body

List all integrations clickup lists

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/clickup_lists
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/clickup_lists/

Example response

Status 200 No response body

Retrieve integrations clickup spaces

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/clickup_spaces
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/clickup_spaces/

Example response

Status 200 No response body

Retrieve integrations clickup workspaces

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/clickup_workspaces
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/clickup_workspaces/

Example response

Status 200 No response body

Update integrations email

Path parameters

  • id
    integer
  • project_id
    string

Request parameters

  • kind
  • config

Response


Example request

PATCH /api/environments/:project_id/integrations/:id/email
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/email/\
-d kind=undefined

Example response

Status 200
RESPONSE
{
"id": 0,
"kind": "slack",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"errors": "string",
"display_name": "string"
}

Create integrations email verify

Path parameters

  • id
    integer
  • project_id
    string

Request parameters

  • kind
  • config

Example request

POST /api/environments/:project_id/integrations/:id/email/verify
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/email/verify/\
-d kind=undefined

Example response

Status 200 No response body

Retrieve integrations github repos

Required API key scopes

integration:read

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/github_repos
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/github_repos/

Example response

Status 200 No response body

Retrieve integrations google accessible accounts

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/google_accessible_accounts
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/google_accessible_accounts/

Example response

Status 200 No response body

Retrieve integrations google conversion actions

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/google_conversion_actions
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/google_conversion_actions/

Example response

Status 200 No response body

Retrieve integrations jira

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/jira_projects
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/jira_projects/

Example response

Status 200 No response body

Retrieve integrations linear teams

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/environments/:project_id/integrations/:id/linear_teams
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/integrations/:id/linear_teams/

Example response

Status 200 No response body
Next page →

Community questions

Questions about this page? or post a community question.